<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

include_once(get_language_filepath('plugin.lang.php', NBC_HISTORYIPEXCLUDER_PATH));



if ( isset($_POST['submit']) )
{
  $v = $_POST['nbc_HistoryIPExcluder_IPs_Excluded'];
  $v = str_replace( "\r\n", ",", $v );
  $v = str_replace( ",,", ",", $v );
  $conf['nbc_HistoryIPExcluder'] = stripslashes($v);

  $query = '
    UPDATE '.CONFIG_TABLE.'
    SET value="'.$conf['nbc_HistoryIPExcluder'].'"
    WHERE param="nbc_HistoryIPExcluder"
    LIMIT 1';
  pwg_query($query);

  // information message
  array_push($page['infos'], $lang['nbc_HistoryIPExcluder_save_config']);
}
elseif ( isset($_POST['nbc_HistoryIPExcluder_IPByMember']) )
{
  $template->assign_vars(
    array(
      'NBC_HISTORYIPEXCLUDER_DESCRIPTION2' => $lang['nbc_HistoryIPExcluder_IPByMember_description'],
    )
  );

  $query = '
    select distinct h.ip, u.username
    from '.HISTORY_TABLE.' as h
    inner join phpwebgallery_users as u on u.id = h.user_id
    where h.user_id <> 2
    order by h.ip
  ;';
  
  $subresult = pwg_query($query);

  while ($subrow = mysql_fetch_array($subresult))
  {
    $template->assign_block_vars(
      'resultat',
      array(
        'NBC_HISTORYIPEXCLUDER_RESULTAT1' => $subrow['ip'],
        'NBC_HISTORYIPEXCLUDER_RESULTAT2' => $subrow['username'],
      )
    );    
  }

  // information message
  array_push($page['infos'], $lang['nbc_HistoryIPExcluder_resquet_ok']);
}
elseif ( isset($_POST['nbc_HistoryIPExcluder_OnlyGuest']) )
{
  $template->assign_vars(
    array(
      'NBC_HISTORYIPEXCLUDER_DESCRIPTION2' => $lang['nbc_HistoryIPExcluder_OnlyGuest_description'],
    )
  );

  $query1 = '
    select distinct h.ip
    from '.HISTORY_TABLE.' as h
    where h.user_id <> 2
  ;';
  
  $IPsMember = array_from_query($query1, 'ip');

  $query = '
    select h.ip, count(h.ip) as nbreIP
    from '.HISTORY_TABLE.' as h
    where h.ip not in (\''.implode('\',\'', $IPsMember).'\')
    group by h.ip
    order by nbreIP desc
  ;';
  
  $subresult = pwg_query($query);

  while ($subrow = mysql_fetch_array($subresult))
  {
    $template->assign_block_vars(
      'resultat',
      array(
        'NBC_HISTORYIPEXCLUDER_RESULTAT1' => $subrow['ip'],
        'NBC_HISTORYIPEXCLUDER_RESULTAT2' => $subrow['nbreIP'],
      )
    );    
  }

  // information message
  array_push($page['infos'], $lang['nbc_HistoryIPExcluder_resquet_ok']);
}
elseif ( isset($_POST['nbc_HistoryIPExcluder_IPForMember']) and isset($_POST['nbc_HistoryIPExcluder_input']))
{
  $template->assign_vars(
    array(
      'NBC_HISTORYIPEXCLUDER_DESCRIPTION2' => $lang['nbc_HistoryIPExcluder_IPForMember_description'],
    )
  );

  $query = '
    select h.ip, u.username
    from '.HISTORY_TABLE.' as h 
    inner join '.USERS_TABLE.' as u on u.id = h.user_id
    where u.username like \''.$_POST['nbc_HistoryIPExcluder_input'].'\'
    group by h.ip
    order by h.ip
  ;';
  
  $subresult = pwg_query($query);

  while ($subrow = mysql_fetch_array($subresult))
  {
    $template->assign_block_vars(
      'resultat',
      array(
        'NBC_HISTORYIPEXCLUDER_RESULTAT1' => $subrow['username'],
        'NBC_HISTORYIPEXCLUDER_RESULTAT2' => $subrow['ip'],
      )
    );    
  }

  // information message
  array_push($page['infos'], $lang['nbc_HistoryIPExcluder_resquet_ok']);
}
elseif ( isset($_POST['nbc_HistoryIPExcluder_MemberForIp']) and isset($_POST['nbc_HistoryIPExcluder_input']))
{
  $template->assign_vars(
    array(
      'NBC_HISTORYIPEXCLUDER_DESCRIPTION2' => $lang['nbc_HistoryIPExcluder_MemberForIp_description'],
    )
  );

  $query = '
    select h.ip, u.username
    from '.HISTORY_TABLE.' as h 
    inner join '.USERS_TABLE.' as u on u.id = h.user_id
    where h.ip like \''.$_POST['nbc_HistoryIPExcluder_input'].'\'
    group by u.username
    order by u.username
  ;';
  
  $subresult = pwg_query($query);

  while ($subrow = mysql_fetch_array($subresult))
  {
    $template->assign_block_vars(
      'resultat',
      array(
        'NBC_HISTORYIPEXCLUDER_RESULTAT1' => $subrow['ip'],
        'NBC_HISTORYIPEXCLUDER_RESULTAT2' => $subrow['username'],
      )
    );    
  }

  // information message
  array_push($page['infos'], $lang['nbc_HistoryIPExcluder_resquet_ok']);
}



$conf_nbc_HistoryIPExcluder = explode("," , $conf['nbc_HistoryIPExcluder']);

$template->assign_vars(
  array(
    'NBC_HISTORYIPEXCLUDER_F_ACTION' => PHPWG_ROOT_PATH.'admin.php?page=plugin&section=nbc_HistoryIPExcluder%2Fadmin%2Fnbc_HistoryIPExcluder_admin.php',
    'IPs_EXCLUDED' => implode("\n", $conf_nbc_HistoryIPExcluder ),
  )
);



$template->set_filenames( array('plugin_admin_content' => NBC_HISTORYIPEXCLUDER_PATH.'admin/nbc_HistoryIPExcluder_admin.tpl') );

$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');

?>
